#!/bin/sh

chartname=$(basename $(cd $(dirname $0) && pwd))
. $(dirname "$0")/../../utils/sync-init.sh

branch=master
version=$(curl https://raw.githubusercontent.com/containeroo/helm-charts/master/charts/nfs-client-provisioner/Chart.yaml 2>/dev/null| yq e '.version' - )
base_repo=https://github.com/containeroo/helm-charts/
sub_dir=charts/nfs-client-provisioner


test -d $(dirname $0)/$version && die "$chartname: version $version exist.."
echo "Found new version $chartname: $version"
test ! -d $(dirname $0)/$version && is_dry && sync_repo "$branch" "$base_repo" "$sub_dir" "$version" "$chartname"
